(* Problem: The implementation of FOO imports the FOO interface
   which does only contains the listed identifiers (twine, not
   String25).

   Solution: For every module interface, implicitly create another
   interface containing everything (i.e., handle_autoexport(), but
   without caring about autoexport_suspended), and import that one
   in the implementation. *)

Module FOO interface;

Export
  FOO = (twine);
type
  String25 = String(25);
function twine( foobar: CString ): String25;

end. {interface}

Module FOO implementation;

function twine( foobar: CString ): String25;
begin
  twine := CString2String ( foobar )
end; {twine}
end.

{-----------------------------------------------------}
program KFoss( input, output );
import foo;

begin
  writeln ( twine ( 'OK' ) )
end.
